package top.imwork.commons.core.pojo;

import java.util.Objects;

/**
 * Copyright (C), 2015-2023
 * FileName: BaseParams
 * Author<作者姓名>:   stars
 * CreateTime<创建时间>:   2023/3/13 18:48
 * UpdateTime<修改时间>:   2023/3/13 18:48
 * Description〈功能简述〉: 基础入参
 * History<历史描述>:
 * Since<版本号>: 1.0.0
 */
public class BaseParams {
    /**
     * 页码
     */
    private Integer pageNo;
    /**
     * 每页行数
     */
    private Integer pageRows;
    /**
     * 是否删除
     */
    private String delFlag;
    /**
     * 创建人
     */
    private String creator;
    /**
     * 创建开始时间
     */
    private String createBeginTime;
    /**
     * 创建结束时间
     */
    private String createEndTime;
    /**
     * 修改人
     */
    private String modifier;
    /**
     * 修改开始时间
     */
    private String updateBeginTime;
    /**
     * 修改结束时间
     */
    private String updateEndTime;
    /**
     * 备注
     */
    private String remark;

    @Override
    public String toString() {
        return "BaseParams{" +
                "pageNo=" + pageNo +
                ", pageRows=" + pageRows +
                ", delFlag='" + delFlag + '\'' +
                ", creator='" + creator + '\'' +
                ", createBeginTime='" + createBeginTime + '\'' +
                ", createEndTime='" + createEndTime + '\'' +
                ", modifier='" + modifier + '\'' +
                ", updateBeginTime='" + updateBeginTime + '\'' +
                ", updateEndTime='" + updateEndTime + '\'' +
                ", remark='" + remark + '\'' +
                '}';
    }

    @Override
    public boolean equals(Object o) {
        if (!(o instanceof BaseParams that)) return false;
        return Objects.equals(pageNo, that.pageNo) && Objects.equals(pageRows, that.pageRows) && Objects.equals(delFlag, that.delFlag) && Objects.equals(creator, that.creator) && Objects.equals(createBeginTime, that.createBeginTime) && Objects.equals(createEndTime, that.createEndTime) && Objects.equals(modifier, that.modifier) && Objects.equals(updateBeginTime, that.updateBeginTime) && Objects.equals(updateEndTime, that.updateEndTime) && Objects.equals(remark, that.remark);
    }

    @Override
    public int hashCode() {
        return Objects.hash(pageNo, pageRows, delFlag, creator, createBeginTime, createEndTime, modifier, updateBeginTime, updateEndTime, remark);
    }

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageRows() {
        return pageRows;
    }

    public void setPageRows(Integer pageRows) {
        this.pageRows = pageRows;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getCreateBeginTime() {
        return createBeginTime;
    }

    public void setCreateBeginTime(String createBeginTime) {
        this.createBeginTime = createBeginTime;
    }

    public String getCreateEndTime() {
        return createEndTime;
    }

    public void setCreateEndTime(String createEndTime) {
        this.createEndTime = createEndTime;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getUpdateBeginTime() {
        return updateBeginTime;
    }

    public void setUpdateBeginTime(String updateBeginTime) {
        this.updateBeginTime = updateBeginTime;
    }

    public String getUpdateEndTime() {
        return updateEndTime;
    }

    public void setUpdateEndTime(String updateEndTime) {
        this.updateEndTime = updateEndTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}